ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:hephaestus_forge', 1),
  [
    'ABA',
    'CDC', 
    'AEA'
  ],
  {
    A: 'kubejs:noir',
    B: 'forbidden_arcanus:darkstone_pedestal',
    C:'ae2:controller',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
event.shaped(
  Item.of('mm:item_hephaestus_forge_input', 1),
  [
    'ABA',
    'EDE', 
    'AEA'
  ],
  {
    A: 'kubejs:noir',
    B: 'minecraft:hopper',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
event.shaped(
  Item.of('mm:item_hephaestus_forge_output', 1),
  [
    'AEA',
    'EDE', 
    'ABA'
  ],
  {
    A: 'kubejs:noir',
    B: 'minecraft:hopper',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
event.shaped(
  Item.of('mm:item_hephaestus_forge_input', 1),
  [
    'ABA',
    'EDE', 
    'AEA'
  ],
  {
    A: 'kubejs:noir',
    B: 'mob_grinding_utils:fluid_xp_bucket',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
event.shaped(
  Item.of('mm:fluid_xp_input', 1),
  [
    'ABA',
    'EDE', 
    'AEA'
  ],
  {
    A: 'kubejs:noir',
    B: 'mob_grinding_utils:fluid_xp_bucket',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
event.shaped(
  Item.of('mm:fluid_blood_input', 1),
  [
    'ABA',
    'EDE', 
    'AEA'
  ],
  {
    A: 'kubejs:noir',
    B: 'bloodmagic:life_essence_bucket',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
event.shaped(
  Item.of('mm:fluid_aureal_input', 1),
  [
    'ABA',
    'EDE', 
    'AEA'
  ],
  {
    A: 'kubejs:noir',
    B: 'kubejs:liquid_aureal_bucket',
    D: 'forbidden_arcanus:arcane_crystal_block',
    E: 'forbidden_arcanus:deorum_ingot'
  }
)
})

